| Irrlicht 3D Engine |

Public Member Functions
irr::scene::SVertexColorInterpolateLinearManipulator Class Reference

Vertex manipulator which interpolates the color values. More...

`#include <SVertexManipulator.h>`

Inheritance diagram for irr::scene::SVertexColorInterpolateLinearManipulator:

List of all members.

## Public Member Functions

- SVertexColorInterpolateLinearManipulator (video::SColor color, f32 factor)
- void operator() (video::S3DVertex &vertex) const

## Detailed Description

Vertex manipulator which interpolates the color values.

Uses linear interpolation.

Definition at line 190 of file SVertexManipulator.h.

## Constructor & Destructor Documentation

irr::scene::SVertexColorInterpolateLinearManipulator::SVertexColorInterpolateLinearManipulator | ( | video::SColor | color,
|  | f32 | factor
| ) |  | `[inline]`

Definition at line 193 of file SVertexManipulator.h.

## Member Function Documentation

void irr::scene::SVertexColorInterpolateLinearManipulator::operator() | ( | video::S3DVertex & | vertex | ) | const`[inline]`

Definition at line 195 of file SVertexManipulator.h.

References irr::video::S3DVertex::Color.

The documentation for this class was generated from the following file:

- SVertexManipulator.h